# Annotation Glossary

### A

allow-none

  NULL is OK, both for passing and for returning.

### C

constructor

  This symbol is a constructor, not a static method.

### E

element-type

  Generics and defining elements of containers and arrays.

### N

nullable

  NULL may be passed as the value in, out, in-out; or as a return value.

### O

out

  Parameter for returning results. Default is transfer full.

### S

scope call

  The callback is valid only during the call to the method.

Stable

  The intention of a Stable interface is to enable arbitrary third parties to develop applications to these interfaces, release them, and have confidence that they will run on all minor releases of the product (after the one in which the interface was introduced, and within the same major release). Even at a major release, incompatible changes are expected to be rare, and to have strong justifications.

### T

transfer full

  The caller owns the data, and is responsible for free it.